package pl.helion.j2mepp.graplatformowa;

import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.game.TiledLayer;
import javax.microedition.lcdui.game.Sprite;
public class Pocisk extends Sprite
{
 public Pocisk(int _nr_planszy_x, Image im, boolean _kierunek, TiledLayer _tlo, int _rodzaj)
 {
  super(im,im.getWidth(),im.getHeight());
  this.defineReferencePixel(this.getWidth()/2, this.getHeight()/2);
  kierunek = _kierunek;
  tlo = _tlo;
  nr_planszy_x = _nr_planszy_x;
  rodzaj = _rodzaj;
 }
 public boolean zakonczone()
 {
  return koniec;
 }
 public void ruch()
 {
  if (!zakonczone())
  {
   if (kierunek)
   {
    if (this.getX()+Plotno.DYSTANSPOCISK<nr_planszy_x*Plotno.SZEROKOSC-this.getWidth())
    {
     this.move(Plotno.DYSTANSPOCISK,0);
     if (this.collidesWith(tlo,true))
     {
      koniec = true;
      return;
     }
    } else koniec = true;
   } else
   {
    if (this.getX()-Plotno.DYSTANSPOCISK>(nr_planszy_x-1)*Plotno.SZEROKOSC)
    {
     this.move(-Plotno.DYSTANSPOCISK,0);
     if (this.collidesWith(tlo,true))
     {
      koniec = true;
      return;
     }
    } else koniec = true;
   }
  }
 }
 public int getRodzaj()
 {
  return rodzaj;
 }
 private boolean koniec = false;
 private boolean kierunek;
 private int nr_planszy_x;
 private int rodzaj;
 private TiledLayer tlo;
 public static final int BOHATER = 1;
 public static final int WROG = 2;
}